
		//*objects - signs, planets and houses*//



function ZodiacSignObject(sign,element,mode,name,contents,longname,objecttype)
{	this.number=sign;
	this.name=SignToString(sign,USESHORTNAME);
	this.longname=SignToString(sign,USELONGNAME);
	this.contents=new Array();
	this.element=element;
	this.mode=mode;
	this.glyph=SignToGlyph(sign);
	this.objecttype=SIGNOBJECT;
}


function CelestialObject(planet1,type,name,sign,deg,min,house,piedeg,contents,ancestors,landlords,rulerstatus,parent,landlord,aspdeg,aspmin,asp,asprating,aspname,numofancestors,numoflandlords,longname,glyph,objecttype)
{	
	this.objecttype=CELESTIALOBJECT;

	this.number=planet1;
	this.type=type;

 	this.glyph=PlaToGlyph(planet1);


	this.name=PlaToString(planet1,USESHORTNAME);
	this.longname=PlaToString(planet1,USELONGNAME);

	this.sign=ZodiacSign(ParseSignName(document.forms[planet1].elements[ObjectSignFormElement].value));



	this.deg=ParseNumber(document.forms[planet1].elements[ObjectDegreeFormElement].value);
	
	this.min=ParseNumber(document.forms[planet1].elements[ObjectMinuteFormElement].value);
	this.house=ParseNumber(document.forms[planet1].elements[ObjectHouseFormElement].value);

	this.piedeg=(this.sign.number)*30+(this.deg);

	this.contents=new Array(); //for houses
	this.ancestors=new Array();
	this.landlords=new Array();
	this.rulerstatus=null; 
	this.parent=null; 
	this.landlord=null; 
	this.numoflandlords=null;
	this.numofancestors=null;

	this.asp=new Array();
	this.aspname=new Array();

	this.aspdeg=new Array();
	this.aspmin=new Array();
	this.asprating=new Array();

}



function DefineObjects()
{	
	Aries=new ZodiacSignObject(ARI,Fire,Cardinal); Taurus=new ZodiacSignObject(TAU,Earth,Fixed); 
	Gemini=new ZodiacSignObject(GEM,Air,Mutable); Cancer=new ZodiacSignObject(CAN,Water,Cardinal);
	Leo=new ZodiacSignObject(LEO,Fire,Fixed); //case sensitive; this is not the same as LEO
	Virgo=new ZodiacSignObject(VIR,Earth,Mutable); Libra=new ZodiacSignObject(LIB,Air,Cardinal);
	Scorpio=new ZodiacSignObject(SCO,Water,Fixed); Sagittarius=new ZodiacSignObject(SAG,Fire,Mutable);
	Capricorn=new ZodiacSignObject(CAP,Earth,Cardinal); Aquarius=new ZodiacSignObject(AQU,Air,Fixed);
	Pisces=new ZodiacSignObject(PIS,Water,Mutable);

	ZodiacSigns=new Array(Aries,Taurus,Gemini,Cancer,Leo,Virgo,Libra,Scorpio,Sagittarius,Capricorn,Aquarius,Pisces);

	Sun=new CelestialObject(SU,PLANET); Moon=new CelestialObject(MO,PLANET);
	Mercury=new CelestialObject(ME,PLANET); Venus=new CelestialObject(VE,PLANET);
	Mars=new CelestialObject(MA,PLANET); Jupiter=new CelestialObject(JU,PLANET);
	Saturn=new CelestialObject(SA,PLANET); Uranus=new CelestialObject(UR,PLANET);
	Neptune=new CelestialObject(NE,PLANET); Pluto=new CelestialObject(PL,PLANET);
	SouthNode=new CelestialObject(SN,POINT); NorthNode=new CelestialObject(NN,POINT);
	House1=new CelestialObject(H1,ANGLE); House2=new CelestialObject(H2,HOUSE);
	House3=new CelestialObject(H3,HOUSE); House4=new CelestialObject(H4,ANGLE);
	House5=new CelestialObject(H5,HOUSE); House6=new CelestialObject(H6,HOUSE);
	House7=new CelestialObject(H7,ANGLE); House8=new CelestialObject(H8,HOUSE);
	House9=new CelestialObject(H9,HOUSE); House10=new CelestialObject(H10,ANGLE);
	House11=new CelestialObject(H11,HOUSE); House12=new CelestialObject(H12,HOUSE);
	
	CelestialObjects=new Array(Sun,Moon,Mercury,Venus,Mars,Jupiter,Saturn,Uranus,Neptune,Pluto,SouthNode,NorthNode,House1,House2,House3,House4,House5,House6,House7,House8,House9,House10,House11,House12);

}






		//*objects- aspects*//



function AspectObject(number,angle,min,orb,type,name,longname,glyph,objecttype)
{	this.number=number;
	this.angle=angle;
	this.orb=orb;
	this.type=type;
	this.name=AspToString(number,USESHORTNAME);
	this.longname=AspToString(number,USELONGNAME);
	this.glyph=AspToGlyph(number);
	this.objecttype=ASPECTOBJECT;
}

function DefineAspects()
{	
	Conjunction		=	new AspectObject(CON,0,0,10,HARD);
	Semisextile		=	new AspectObject(SSX,30,0,3,HARD);
	Semiquintile	=	new AspectObject(SQN,36,0,3,SOFT);
	Novile		=	new AspectObject(NOV,40,0,2,SOFT);
	Semisquare		=	new AspectObject(SSQ,45,0,3,HARD);
	Septile		=	new AspectObject(SEP,51,26,1,SOFT);
	Sextile		=	new AspectObject(SEX,60,0,7,SOFT);
	Quintile		=	new AspectObject(QUI,72,0,3,SOFT);
	Binovile		=	new AspectObject(BNV,80,0,1,SOFT);
	Square		=	new AspectObject(SQU,90,0,9,HARD);
	Biseptile		=	new AspectObject(BSP,103,52,1,SOFT); 
						//supposed to be 102 52' but rounded off since the 
						//program can't deal with aspects with minutes yet
	Trine			=	new AspectObject(TRI,120,0,9,SOFT);
	Sesquisquare	=	new AspectObject(SES,135,0,3,HARD);
	Biquintile		=	new AspectObject(BQN,144,0,3,SOFT);
	Inconjunct		=	new AspectObject(INC,150,0,3,HARD);
	Triseptile		= 	new AspectObject(TSP,154,17,1,SOFT);
	Quadronovile	=	new AspectObject(QNV,160,0,3,SOFT);
	Opposition		=	new AspectObject(OPP,180,0,10,HARD);
	Tridecile		=	new AspectObject(TDE,108,0,2,SOFT);
	Null			=	new AspectObject(NUL,999,9,9,SOFT);
	
	Aspects=new Array(Conjunction, Semisextile, Semiquintile, Novile, Semisquare, Septile, Sextile, Quintile, Binovile, Square, Biseptile, Trine, Sesquisquare, Biquintile, Inconjunct, Triseptile, Quadronovile, Opposition, Tridecile,Null);

}


		//*objects- categories*//

function CategoryObject(sign,house,ruler,number)
{	this.sign=sign;
	this.house=house;
	this.ruler=ruler;
	this.number=number;
}

function DefineCategories()
{	CategoryOne=new CategoryObject(Aries,House1,Mars,Cat1);
	CategoryTwo=new CategoryObject(Taurus,House2,Venus,Cat2);
	CategoryThree=new CategoryObject(Gemini,House3,Mercury,Cat3);
	CategoryFour=new CategoryObject(Cancer,House4,Moon,Cat4);
	CategoryFive=new CategoryObject(Leo,House5,Sun,Cat5);
	CategorySix=new CategoryObject(Virgo,House6,Mercury,Cat6);
	CategorySeven=new CategoryObject(Libra,House7,Venus,Cat7);
	CategoryEight=new CategoryObject(Scorpio,House8,Pluto,Cat8);
	if (UsingAncientRulers==true)
	{	CategoryEight=new CategoryObject(Scorpio,House8,Mars,Cat8);
	};
	CategoryNine=new CategoryObject(Sagittarius,House9,Jupiter,Cat9);
	CategoryTen=new CategoryObject(Capricorn,House10,Saturn,Cat10);
	CategoryEleven=new CategoryObject(Aquarius,House11,Uranus,Cat11);
	if (UsingAncientRulers==true)
	{	CategoryEleven=new CategoryObject(Aquarius,House11,Saturn,Cat11);
	};
	CategoryTwelve=new CategoryObject(Pisces,House12,Neptune,Cat12);
	if (UsingAncientRulers==true)
	{	CategoryTwelve=new CategoryObject(Pisces,House12,Jupiter,Cat12);
	};
	Categories=new Array(CategoryOne, CategoryTwo, CategoryThree, CategoryFour, CategoryFive, CategorySix, CategorySeven, CategoryEight, CategoryNine, CategoryTen, CategoryEleven, CategoryTwelve);
}

